// Animation de slide depuis la gauche vers la droite utilisée notamment pour
// gérer le comportement de la navbar

.slide_left-leave-active,
.slide_left-enter-active {
  @apply transition duration-300 ease-in-out
}

.slide_left-enter {
  transform: translate(-100%, 0);
}
.slide_left-leave-to {
  transform: translate(-100%, 0);
}

// Animation d'apparition du haut vers le bas
.slide_down-leave-active,
.slide_down-enter-active {
  @apply transition duration-500 ease-in-out;
}

.slide_down-enter, .slide_down-leave-to {
  transform: translate(0, -100%);
  opacity: 0;
}

// Animation de fade pour apparition et disparition des éléments
.fade-enter-active, .fade-leave-active {
  @apply pointer-events-none;
  @apply transition duration-150 ease-in-out;
}
.fade-enter, .fade-leave-to {
  opacity: 0;
}